{ config
, lib
, pkgs
, ...
}: {
  programs.steam = {
    enable = true;
    package = pkgs.steam.override {
      extraPkgs = pkgs:
        with pkgs; [
          xorg.libXcursor
          xorg.libXi
          xorg.libXinerama
          xorg.libXScrnSaver
          libpng
          libpulseaudio
          libvorbis
          stdenv.cc.cc.lib
          libkrb5
          keyutils
        ];
    };

    extraCompatPackages = with pkgs; [
      proton-ge-custom
    ];
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };
  programs.xwayland.enable = true;
  programs.gamescope.enable = true;

  hardware.xone.enable = true; # USB
  hardware.xpadneo.enable = true; # Wireless
  hardware.bluetooth.enable = true;
  hardware.steam-hardware.enable = true;
}
